"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateTsConfig = void 0;
const fs_1 = __importDefault(require("fs"));
const generateTsConfig = (options) => {
    const data = {
        compilerOptions: {
            module: 'commonjs',
            resolveJsonModule: true,
            esModuleInterop: true,
            target: 'es6',
            sourceMap: true,
            outDir: 'dist',
            noImplicitAny: true,
            noUnusedLocals: true,
            noUnusedParameters: true,
            strict: true,
            moduleResolution: 'node',
            emitDecoratorMetadata: true,
            experimentalDecorators: true,
            lib: ['es2017'],
            allowSyntheticDefaultImports: true,
        },
        exclude: ['node_modules'],
        typesRoot: ['node_modules/@types'],
        include: ['src/**/*'],
    };
    fs_1.default.writeFileSync('tsconfig.json', JSON.stringify(data, null, 4), 'utf-8');
};
exports.generateTsConfig = generateTsConfig;
